Skip to Content
inclamoDocs

Create an Agent Bot

POST
/api/v1/accounts/{account_id}/agent_bots

Create an agent bot in the account

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

Request Body

application/json
  1. body
name?string

The name of the agent bot

description?string

The description of the agent bot

outgoing_url?string

The webhook URL for the bot

avatar?file

Send the form data with the avatar image binary or use the avatar_url

Formatbinary
avatar_url?string

The url to a jpeg, png file for the agent bot avatar

bot_type?integer

The type of the bot (0 for webhook)

bot_config?

The configuration for the bot

Response Body

Success

application/json
  1. response
id?number

ID of the agent bot

name?string

The name of the agent bot

description?string

The description about the agent bot

thumbnail?string

The thumbnail of the agent bot

outgoing_url?string

The webhook URL for the bot

bot_type?string

The type of the bot

bot_config?

The configuration of the bot

account_id?number

Account ID if it's an account specific bot

access_token?string

The access token for the bot

system_bot?boolean

Whether the bot is a system bot

Example Request
curl -X POST 'https://helpdesk.inclamo.com/api/v1/accounts/0/agent_bots' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": 0,  "name": "string",  "description": "string",  "thumbnail": "string",  "outgoing_url": "string",  "bot_type": "string",  "bot_config": {},  "account_id": 0,  "access_token": "string",  "system_bot": true}